[Resolvido] Não entra no Internet Banking do Banco do Brasil

Olá,
Uso o Linux Mint 17. Faz umas duas semanas não estou conseguindo acessar minha conta pelo site do Banco do Brasil.

Aparece a seguinte mensagem: Problemas no Módulo de Segurança W01

Baixei o arquivo solicitado no site "hda-bb_0.1_all.deb" e ao abrir aparece:
Erro: A dependência não é contentável: libdbus-1-3 (>=1.9.14)
Post edited by Alquintela on
·
«1

Comentários

  • Uso o Linux Mint 18.1 XFCE e também não consegui acessar o Banco do Brasil pelo hda-bb..., desinstalei ele e instalei o aplicativo Warsaw para Debian (32 ou 64 bits) e deu certo aqui, acessando tranquilo, abaixo vou deixar o link:
    https://talesam.org/2017/03/14/instalando-o-modulo-de-seguranca-banco-brasil-warsaw/

    Boa sorte!

    Edson
    "Somente quando um mosquito pousa em seu testículo é que você se dá conta de que nem tudo se resolve no tapa."
    ·
  • Olá amigo,
    Funcionou, muito grato pela ajuda!
    ·
  • Bicho disse:

    Olá amigo,
    Funcionou, muito grato pela ajuda!

    Maravilha!

    Por favor, como orientado em nossas Recomendações (link acima, no painel principal), edite o título desta discussão, adicionando um [Resolvido] à frente. Grato.

    Fique com Deus.

    ·
  • edsondejes disse:

    Uso o Linux Mint 18.1 XFCE e também não consegui acessar o Banco do Brasil pelo hda-bb..., desinstalei ele e instalei o aplicativo Warsaw para Debian (32 ou 64 bits) e deu certo aqui, acessando tranquilo, abaixo vou deixar o link:
    https://talesam.org/2017/03/14/instalando-o-modulo-de-seguranca-banco-brasil-warsaw/

    Boa sorte!

    Edson

    Eu ate hoje não consegui assear minhas conta, nem pelo banco do Brasil e nem pela caixa Econômica.

    Banco do Brasil da esse erro.



    Na caixa Econômica fica assim.



    E os módulos de segurança estão instalados.

    O engraçado que eu uso um sistema 64 bits e o verificador acusa que eu estou usando um navegador 32 bits tanto no Firefox tanto no Google Chrome.


    ·
  • Francis disse:

    edsondejes disse:

    Uso o Linux Mint 18.1 XFCE e também não consegui acessar o Banco do Brasil pelo hda-bb..., desinstalei ele e instalei o aplicativo Warsaw para Debian (32 ou 64 bits) e deu certo aqui, acessando tranquilo, abaixo vou deixar o link:
    https://talesam.org/2017/03/14/instalando-o-modulo-de-seguranca-banco-brasil-warsaw/

    Boa sorte!

    Edson

    Eu ate hoje não consegui assear minhas conta, nem pelo banco do Brasil e nem pela caixa Econômica.

    Banco do Brasil da esse erro.



    Na caixa Econômica fica assim.



    E os módulos de segurança estão instalados.

    O engraçado que eu uso um sistema 64 bits e o verificador acusa que eu estou usando um navegador 32 bits tanto no Firefox tanto no Google Chrome.


    Na verdade, quando você instala o módulo de segurança do banco (Brasil ou CEF), nada mais é do que um pré-instalador "hda-bb...blá,blá,blá" do módulo de segurança Warsaw, porém, esse pré-instalador necessita de dependências antigas dos repositórios que já estão "obsoletos". Nesse caso, desinstala o módulo "pré-instalador" do Banco e instala o módulo Warsaw diretamente pelo GDebi, ele encontra as dependências mais atuais e após reiniciar o computador, ele deve funcionar em todos os navegadores, conforme a dica que eu coloquei no link acima.

    Boa sorte!

    Edson
    "Somente quando um mosquito pousa em seu testículo é que você se dá conta de que nem tudo se resolve no tapa."
    ·
  • edsondejes disse:

    Francis disse:

    edsondejes disse:

    Uso o Linux Mint 18.1 XFCE e também não consegui acessar o Banco do Brasil pelo hda-bb..., desinstalei ele e instalei o aplicativo Warsaw para Debian (32 ou 64 bits) e deu certo aqui, acessando tranquilo, abaixo vou deixar o link:
    https://talesam.org/2017/03/14/instalando-o-modulo-de-seguranca-banco-brasil-warsaw/

    Boa sorte!

    Edson

    Eu ate hoje não consegui assear minhas conta, nem pelo banco do Brasil e nem pela caixa Econômica.

    Banco do Brasil da esse erro.



    Na caixa Econômica fica assim.



    E os módulos de segurança estão instalados.

    O engraçado que eu uso um sistema 64 bits e o verificador acusa que eu estou usando um navegador 32 bits tanto no Firefox tanto no Google Chrome.


    Na verdade, quando você instala o módulo de segurança do banco (Brasil ou CEF), nada mais é do que um pré-instalador "hda-bb...blá,blá,blá" do módulo de segurança Warsaw, porém, esse pré-instalador necessita de dependências antigas dos repositórios que já estão "obsoletos". Nesse caso, desinstala o módulo "pré-instalador" do Banco e instala o módulo Warsaw diretamente pelo GDebi, ele encontra as dependências mais atuais e após reiniciar o computador, ele deve funcionar em todos os navegadores, conforme a dica que eu coloquei no link acima.

    Boa sorte!

    Edson
    Eu já fiz isso, removi o que estava instalado e inalei o do link sugerido mas sempre apresenta o mesmo problema. Eu ate já liguei para o suporte do BB e ate agora sem resposta deles.
    ·
  • Francis também sem conseguir acesso ao banco, mesmo instalando o módulo de segurança o diagnóstico acusava erro no websocket. Segui as dicas desta discussão do Fórum Ubuntu e resolvi meu problema. ubuntuforum-br.org/index.php/topic,121558.30.html

    Resumo do debate e caminho percorrido por mim para solucionar meu problema de acesso.

    1. Instalei normalmente o app do Banco do Brasil e as dependências solicitadas. Obs:A instalação do módulo de segurança deve ser feito com os navegadores fechados. Instalei todas as dependências pelo Synaptic e nenhuma estava defasada, uma vez que constavam no repositório oficial e atualizado do Linux Mint. Às vezes encontramos em repositórios experimentais ou do próprio desenvolvedor uma versão mais atual de um determinado programa ou biblioteca, mas a versão mais antiga, usada por uma determinada distro, não está necessariamente obsoleta.

    Sampayu sugere o seguinte comando para que as dependências sejam instaladas, no meu caso fiz pelo modo gráfico com auxílio do Synaptic.

    sudo apt-get install libcurl4-openssl-dev libnss3-dev libdbus-1-dev yad libatk1.0-0 libc6 libcairo2 libcups2 libdbus-1-3 libexpat1 libfontconfig1 libfreetype6 libgcc1 libgconf-2-4 libgdk-pixbuf2.0-0 libglib2.0-0 libgtk2.0-0 libnspr4 libnspr4-0d libnss3 libpango-1.0-0 libpangocairo-1.0-0 libstdc++6 --reinstall -y

    2. Após seguir o tutorial do Banco do Brasil ensinando como instalar o módulo de segurança no Linux, realizei os seguintes comandos sugeridos por Sampayu no Fórum Ubuntu. No meu caso bastou isso para ter acesso normal ao Banco do Brasil.

    sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable


    Depois o supercomando:

    sudo iptables -P INPUT DROP ; sudo iptables -P FORWARD DROP ; sudo iptables-save | sudo tee /etc/iptables.conf ; sudo sed -i -e 's|exit 0||' "/etc/rc.local" ; echo iptables-restore \< /etc/iptables.conf | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo \echo 1 \> /proc/sys/net/ipv4/tcp_syncookies | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo exit 0 | sudo tee -a /etc/rc.local


    3. Em seguida, reiniciei o computador e acessei normalmente minha conta pelo internet banking do Banco do Brasil.




    ·
  • editado 4 de abril
    Alquintela disse:


    sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable


    Depois o supercomando:

    sudo iptables -P INPUT DROP ; sudo iptables -P FORWARD DROP ; sudo iptables-save | sudo tee /etc/iptables.conf ; sudo sed -i -e 's|exit 0||' "/etc/rc.local" ; echo iptables-restore \< /etc/iptables.conf | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo \echo 1 \> /proc/sys/net/ipv4/tcp_syncookies | sudo tee -a /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo exit 0 | sudo tee -a /etc/rc.local

    O supercomando sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable é suficiente e atualmente é o único que deve ser executado. O segundo supercomando não deve ser executado.

    Eu havia usado aquele segundo supercomando (o que tem "-P INPUT DROP" etc.) porque foi a solução mais rápida que consegui encontrar na ocasião. Porém, depois de investigar melhor o comportamento e os arquivos de configuração do UFW (firewall para Linux), cheguei ao supercomando substituto sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable, que igualmente resolve o problema, só que de um modo mais simples e elegante.

    Aos que porventura tenham executado o segundo supercomando, para desfazê-lo é necessário executar o que segue:

    sudo rm /etc/iptables.conf ; sudo cp /etc/rc.local /etc/rc.local.bak ; echo \#\!/bin/bash | sudo tee /etc/rc.local ; echo ' ' | sudo tee -a /etc/rc.local ; echo exit 0 | sudo tee -a /etc/rc.local ; sudo telinit 6

    Após o computador reiniciar, as configurações usadas serão somente aquelas do supercomando sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable que você executou.
    Post edited by Sampayu on
    --
    Yuri Sucupira ("Sampayu")

    Não é possível semear de mãos fechadas
    (Esquivel)
    ·
  • No meu caso Sampayu usei primeiro o comando: sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable

    Mas o mesmo não surtiu efeito, então ao pesquisar mais segui a tua dica mais antiga e fiz o outro comando, o menos elegante, porém somente após usá-lo é que consegui acessar o banco. Não sei o que aconteceu no meu caso. :)
    ·
  • editado 5 de abril
    Alquintela disse:

    No meu caso Sampayu usei primeiro o comando: sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable

    Mas o mesmo não surtiu efeito, então ao pesquisar mais segui a tua dica mais antiga e fiz o outro comando, o menos elegante, porém somente após usá-lo é que consegui acessar o banco. Não sei o que aconteceu no meu caso. :)

    Estranho... Eu me lembro de um relato (antigo, isso já tem alguns anos) de um bug no Linux Mint, relacionado à não ativação da proteção contra ataques "SYN Flood", pelo firewall UFW, mesmo após o UFW ser configurado para ativar essa proteção. Mas, se não me engano, isso foi apontado em 2013 e resolvido em 2014. Enfim: não deveria ocorrer nada de errado com a ativação do UFW, em pleno ano 2017.

    No caso do supercomando sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable, o comando sudo apt-get install ufw gufw --reinstall -y instala o firewall UFW e a interface gráfica dele (GUFW), o comando sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" acessa o interior do arquivo /etc/ufw/sysctl.conf (que é um arquivo de configuração do UFW que faz com que, enquanto o UFW estiver em funcionamento, o UFW passe para o kernel Linux a informação de que o netfilter - que é o firewall interno do kernel Linux - deverá ativar a proteção contra ataques "SYN Flood"), ou seja, este segundo comando faz com que, sempre que o UFW esteja funcionando, o UFW peça ao kernel Linux para ativar a proteção contra "SYN Flood". Por fim, o comando sudo ufw enable ativa o daemon (monitor / serviço) do UFW, de modo que a cada boot / inicialização do Linux o firewall UFW entre em execução e daí peça ao kernel Linux para ativar a proteção contra ataques "SYN Flood".

    Se o supercomando sudo apt-get install ufw gufw --reinstall -y ; sudo sed -i -e 's|syncookies=0|syncookies=1|' "/etc/ufw/sysctl.conf" ; sudo ufw enable não foi suficiente, no Linux Mint, então ou há alguma deficiência de funcionamento do daemon do UFW no Linux Mint (e portanto o bug antigo continua presente no Linux Mint), ou então o UFW está funcionando corretamente, porém alguma configuração na distribuição Mint está fazendo com que, durante o boot mas após o daemon do UFW entrar em funcionamento, algum arquivo de configuração do sysctl (comando utilizado para passar parâmetros ao kernel Linux em tempo de execução, ou seja, em tempo real) seja inicializado com a proteção "SYN Flood" desativada. Como essa configuração é executada depois, ela desativa a configuração do UFW.

    Enfim: tomando por base o seu relato, pelo visto no Linux Mint há alguma configuração fazendo com que o sysctl seja reconfigurado, durante o boot, após a inicialização do daemon do UFW. Porém, como a execução do arquivo rc.local (armazenado em /etc) ocorre por último, a execução do segundo supercomando faz com que o rc.local seja o último a informar ao sysctl que a proteção contra ataques "SYN Flood" deve ser ativada.

    Isso é meio "louco", mas não é surpreendente: diferentes distribuições Linux às vezes têm mesmo configurações diferentes. Que bom que o segundo supercomando resolveu o problema para os usuários do Linux Mint, então. :smile:

    => Como é recomendável ativar o firewall UFW, no caso do Linux Mint a solução é mesmo executar o primeiro supercomando e em seguida executar o segundo supercomando, como você apontou lá em https://www.linuxmint.com.br/discussion/comment/85474/#Comment_85474 :smile:
    Post edited by Sampayu on
    --
    Yuri Sucupira ("Sampayu")

    Não é possível semear de mãos fechadas
    (Esquivel)
    ·
Entre ou Registre-se para fazer um comentário.